| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::MessageContentPart Class Reference
Wrapper classes

The MessageContentPart class represents a Telepathy message part. More...

`#include <TelepathyQt/MessageContentPart>`

List of all members.

## Public Member Functions

- MessageContentPart ()
- MessageContentPart (const MessagePart &mp)
- MessageContentPart (const MessageContentPart &other)
- ~MessageContentPart ()
- bool isValid () const
- MessageContentPart & operator= (const MessageContentPart &other)
- bool operator== (const MessageContentPart &other) const
- MessagePart barePart () const

## Detailed Description

The MessageContentPart class represents a Telepathy message part.

## Constructor & Destructor Documentation

Tp::MessageContentPart::MessageContentPart | ( |  | ) |

Tp::MessageContentPart::MessageContentPart | ( | const MessagePart & | mp | ) |

Tp::MessageContentPart::MessageContentPart | ( | const MessageContentPart & | other | ) |

Tp::MessageContentPart::~MessageContentPart | ( |  | ) |

## Member Function Documentation

bool Tp::MessageContentPart::isValid | ( |  | ) | const`[inline]`

MessageContentPart & Tp::MessageContentPart::operator= | ( | const MessageContentPart & | other | ) |

bool Tp::MessageContentPart::operator== | ( | const MessageContentPart & | other | ) | const

MessagePart Tp::MessageContentPart::barePart | ( |  | ) | const